diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/uan/examples/uan-6lowpan-example.cc ns-3.45/src/uan/examples/uan-6lowpan-example.cc
--- ns-3.44/src/uan/examples/uan-6lowpan-example.cc	2025-03-09 16:55:49.727372400 -0700
+++ ns-3.45/src/uan/examples/uan-6lowpan-example.cc	2025-06-01 20:34:45.595702200 -0700
@@ -218,8 +218,7 @@
 void
 UanExperiment::SendSinglePacket(Ptr<Node> node, Ptr<Packet> pkt, Ipv6Address dst)
 {
-    NS_LOG_UNCOND(Simulator::Now().GetHours() << "h"
-                                              << " packet sent to " << dst);
+    NS_LOG_UNCOND(Simulator::Now().GetHours() << "h packet sent to " << dst);
     Inet6SocketAddress ipv6_destination = Inet6SocketAddress(Ipv6Address::ConvertFrom(dst), 9);
     m_sockets[node]->SendTo(pkt, 0, ipv6_destination);
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/uan/examples/uan-ipv4-example.cc ns-3.45/src/uan/examples/uan-ipv4-example.cc
--- ns-3.44/src/uan/examples/uan-ipv4-example.cc	2025-03-09 16:55:49.731372400 -0700
+++ ns-3.45/src/uan/examples/uan-ipv4-example.cc	2025-06-01 20:34:45.595702200 -0700
@@ -209,8 +209,7 @@
 void
 UanExperiment::SendSinglePacket(Ptr<Node> node, Ptr<Packet> pkt, Ipv4Address dst)
 {
-    NS_LOG_UNCOND(Simulator::Now().GetHours() << "h"
-                                              << " packet sent to " << dst);
+    NS_LOG_UNCOND(Simulator::Now().GetHours() << "h packet sent to " << dst);
     InetSocketAddress ipv4_destination = InetSocketAddress(dst, 9);
     m_sockets[node]->SendTo(pkt, 0, ipv4_destination);
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/uan/examples/uan-ipv6-example.cc ns-3.45/src/uan/examples/uan-ipv6-example.cc
--- ns-3.44/src/uan/examples/uan-ipv6-example.cc	2025-03-09 16:55:49.731372400 -0700
+++ ns-3.45/src/uan/examples/uan-ipv6-example.cc	2025-06-01 20:34:45.595702200 -0700
@@ -213,8 +213,7 @@
 void
 UanExperiment::SendSinglePacket(Ptr<Node> node, Ptr<Packet> pkt, Ipv6Address dst)
 {
-    NS_LOG_UNCOND(Simulator::Now().GetHours() << "h"
-                                              << " packet sent to " << dst);
+    NS_LOG_UNCOND(Simulator::Now().GetHours() << "h packet sent to " << dst);
     Inet6SocketAddress ipv6_destination = Inet6SocketAddress(Ipv6Address::ConvertFrom(dst), 9);
     m_sockets[node]->SendTo(pkt, 0, ipv6_destination);
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/uan/examples/uan-raw-example.cc ns-3.45/src/uan/examples/uan-raw-example.cc
--- ns-3.44/src/uan/examples/uan-raw-example.cc	2025-03-09 16:55:49.731372400 -0700
+++ ns-3.45/src/uan/examples/uan-raw-example.cc	2025-06-01 20:34:45.595702200 -0700
@@ -198,8 +198,7 @@
 void
 UanExperiment::SendSinglePacket(Ptr<Node> node, Ptr<Packet> pkt, Mac8Address dst)
 {
-    NS_LOG_UNCOND(Simulator::Now().GetHours() << "h"
-                                              << " packet sent to " << dst);
+    NS_LOG_UNCOND(Simulator::Now().GetHours() << "h packet sent to " << dst);
     PacketSocketAddress socketAddress;
     socketAddress.SetSingleDevice(node->GetDevice(0)->GetIfIndex());
     socketAddress.SetPhysicalAddress(dst);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/uan/model/acoustic-modem-energy-model.h ns-3.45/src/uan/model/acoustic-modem-energy-model.h
--- ns-3.44/src/uan/model/acoustic-modem-energy-model.h	2025-03-09 16:55:49.731372400 -0700
+++ ns-3.45/src/uan/model/acoustic-modem-energy-model.h	2025-06-01 20:34:45.596702000 -0700
@@ -226,8 +226,7 @@
 
     /** Energy recharge callback. */
     AcousticModemEnergyRechargeCallback m_energyRechargeCallback;
-
-}; // class AcousticModemEnergyModel
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/uan/model/uan-channel.h ns-3.45/src/uan/model/uan-channel.h
--- ns-3.44/src/uan/model/uan-channel.h	2025-03-09 16:55:49.731372400 -0700
+++ ns-3.45/src/uan/model/uan-channel.h	2025-06-01 20:34:45.596702000 -0700
@@ -122,8 +122,7 @@
     void SendUp(uint32_t i, Ptr<Packet> packet, double rxPowerDb, UanTxMode txMode, UanPdp pdp);
 
     void DoDispose() override;
-
-}; // class UanChannel
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/uan/model/uan-header-common.h ns-3.45/src/uan/model/uan-header-common.h
--- ns-3.44/src/uan/model/uan-header-common.h	2025-03-09 16:55:49.731372400 -0700
+++ ns-3.45/src/uan/model/uan-header-common.h	2025-06-01 20:34:45.596702000 -0700
@@ -141,8 +141,7 @@
     Mac8Address m_dest;                   //!< The destination address.
     Mac8Address m_src;                    //!< The source address.
     UanProtocolBits m_uanProtocolBits{0}; //!< The type and protocol bits
-
-}; // class UanHeaderCommon
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/uan/model/uan-header-rc.h ns-3.45/src/uan/model/uan-header-rc.h
--- ns-3.44/src/uan/model/uan-header-rc.h	2025-03-09 16:55:49.731372400 -0700
+++ ns-3.45/src/uan/model/uan-header-rc.h	2025-06-01 20:34:45.596702000 -0700
@@ -93,7 +93,8 @@
     uint8_t m_frameNo; //!< Data frame number.
     Time m_propDelay;  //!< Propagation delay.
 
-}; // class UanHeaderRcData
+    // end of class UanHeaderRcData
+};
 
 /**
  * @ingroup uan
@@ -214,7 +215,8 @@
     Time m_timeStamp;   //!< RTS TX timestamp.
     uint8_t m_retryNo;  //!< Retry number of RTS packet.
 
-}; // class UanHeaderRcRts
+    // end of class UanHeaderRcRts
+};
 
 /**
  * @ingroup uan
@@ -317,7 +319,8 @@
     uint16_t m_retryRate; //!< Retry rate.
     uint16_t m_rateNum;   //!< Rate number.
 
-}; // class UanHeaderRcCtsGlobal
+    // end of class UanHeaderRcCtsGlobal
+};
 
 /**
  * @ingroup uan
@@ -436,7 +439,8 @@
     Time m_delay;          //!< Delay until transmission.
     Mac8Address m_address; //!< Destination of CTS packet.
 
-}; // class UanHeaderRcCts
+    // end of class UanHeaderRcCts
+};
 
 /**
  * @ingroup uan
@@ -500,7 +504,8 @@
     uint8_t m_frameNo;                //!< Next frame number.
     std::set<uint8_t> m_nackedFrames; //!< Marker for nacked frames.
 
-}; // class UanHeaderRcAck
+    // end of class UanHeaderRcAck
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/uan/model/uan-mac-aloha.h ns-3.45/src/uan/model/uan-mac-aloha.h
--- ns-3.44/src/uan/model/uan-mac-aloha.h	2025-03-09 16:55:49.731372400 -0700
+++ ns-3.45/src/uan/model/uan-mac-aloha.h	2025-06-01 20:34:45.596702000 -0700
@@ -75,8 +75,7 @@
 
   protected:
     void DoDispose() override;
-
-}; // class UanMacAloha
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/uan/model/uan-mac-cw.h ns-3.45/src/uan/model/uan-mac-cw.h
--- ns-3.44/src/uan/model/uan-mac-cw.h	2025-03-09 16:55:49.731372400 -0700
+++ ns-3.45/src/uan/model/uan-mac-cw.h	2025-06-01 20:34:45.596702000 -0700
@@ -168,8 +168,7 @@
 
   protected:
     void DoDispose() override;
-
-}; // class UanMacCw
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/uan/model/uan-mac.h ns-3.45/src/uan/model/uan-mac.h
--- ns-3.44/src/uan/model/uan-mac.h	2025-03-09 16:55:49.731372400 -0700
+++ ns-3.45/src/uan/model/uan-mac.h	2025-06-01 20:34:45.597702300 -0700
@@ -129,8 +129,7 @@
     uint32_t m_txModeIndex;
     /** The MAC address. */
     Mac8Address m_address;
-
-}; // class UanMac
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/uan/model/uan-mac-rc-gw.h ns-3.45/src/uan/model/uan-mac-rc-gw.h
--- ns-3.44/src/uan/model/uan-mac-rc-gw.h	2025-03-09 16:55:49.731372400 -0700
+++ ns-3.45/src/uan/model/uan-mac-rc-gw.h	2025-06-01 20:34:45.596702000 -0700
@@ -282,8 +282,7 @@
 
   protected:
     void DoDispose() override;
-
-}; // class UanMacRcGw
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/uan/model/uan-mac-rc.h ns-3.45/src/uan/model/uan-mac-rc.h
--- ns-3.44/src/uan/model/uan-mac-rc.h	2025-03-09 16:55:49.731372400 -0700
+++ ns-3.45/src/uan/model/uan-mac-rc.h	2025-06-01 20:34:45.596702000 -0700
@@ -132,7 +132,8 @@
     /** Has this reservation been transmitted. */
     bool m_transmitted;
 
-}; // class Reservation
+    // end of class Reservation
+};
 
 /**
  * @ingroup uan
@@ -306,7 +307,8 @@
   protected:
     void DoDispose() override;
 
-}; // class UanMacRc
+    // end of class UanMacRc
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/uan/model/uan-net-device.h ns-3.45/src/uan/model/uan-net-device.h
--- ns-3.44/src/uan/model/uan-net-device.h	2025-03-09 16:55:49.731372400 -0700
+++ ns-3.45/src/uan/model/uan-net-device.h	2025-06-01 20:34:45.597702300 -0700
@@ -198,7 +198,7 @@
   protected:
     void DoDispose() override;
     void DoInitialize() override;
-}; // class UanNetDevice
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/uan/model/uan-noise-model-default.h ns-3.45/src/uan/model/uan-noise-model-default.h
--- ns-3.44/src/uan/model/uan-noise-model-default.h	2025-03-09 16:55:49.731372400 -0700
+++ ns-3.45/src/uan/model/uan-noise-model-default.h	2025-06-01 20:34:45.597702300 -0700
@@ -53,8 +53,7 @@
   private:
     double m_wind;     //!< Wind speed in m/s.
     double m_shipping; //!< Shipping contribution to noise between 0 and 1.
-
-}; // class UanNoiseModelDefault
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/uan/model/uan-noise-model.h ns-3.45/src/uan/model/uan-noise-model.h
--- ns-3.44/src/uan/model/uan-noise-model.h	2025-03-09 16:55:49.731372400 -0700
+++ ns-3.45/src/uan/model/uan-noise-model.h	2025-06-01 20:34:45.597702300 -0700
@@ -40,8 +40,7 @@
     virtual void Clear();
 
     void DoDispose() override;
-
-}; // class UanNoiseModel
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/uan/model/uan-phy-dual.h ns-3.45/src/uan/model/uan-phy-dual.h
--- ns-3.44/src/uan/model/uan-phy-dual.h	2025-03-09 16:55:49.731372400 -0700
+++ ns-3.45/src/uan/model/uan-phy-dual.h	2025-06-01 20:34:45.597702300 -0700
@@ -47,7 +47,8 @@
                       UanPdp pdp,
                       const UanTransducer::ArrivalList& arrivalList) const override;
 
-}; // class UanPhyCalcSinrDual
+    // end of class UanPhyCalcSinrDual
+};
 
 /**
  * @ingroup uan
@@ -257,7 +258,8 @@
   protected:
     void DoDispose() override;
 
-}; // class UanPhyDual
+    // end of class UanPhyDual
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/uan/model/uan-phy-gen.h ns-3.45/src/uan/model/uan-phy-gen.h
--- ns-3.44/src/uan/model/uan-phy-gen.h	2025-03-09 16:55:49.731372400 -0700
+++ ns-3.45/src/uan/model/uan-phy-gen.h	2025-06-01 20:34:45.597702300 -0700
@@ -50,7 +50,8 @@
   private:
     double m_thresh; //!< SINR threshold.
 
-}; // class UanPhyPerGenDefault
+    // end of class UanPhyPerGenDefault
+};
 
 /**
  * @ingroup uan
@@ -102,7 +103,8 @@
      */
     double NChooseK(uint32_t n, uint32_t k);
 
-}; // class UanPhyPerUmodem
+    // end of class UanPhyPerUmodem
+};
 
 /**
  * @ingroup uan
@@ -140,7 +142,8 @@
      */
     double CalcPer(Ptr<Packet> pkt, double sinrDb, UanTxMode mode) override;
 
-}; // class UanPhyPerCommonModes
+    // end of class UanPhyPerCommonModes
+};
 
 /**
  * @ingroup uan
@@ -188,7 +191,8 @@
                       UanPdp pdp,
                       const UanTransducer::ArrivalList& arrivalList) const override;
 
-}; // class UanPhyCalcSinrDefault
+    // end of class UanPhyCalcSinrDefault
+};
 
 /**
  * @ingroup uan
@@ -234,7 +238,8 @@
   private:
     uint32_t m_hops; //!< Number of hops.
 
-}; // class UanPhyCalcSinrFhFsk
+    // class UanPhyCalcSinrFhFsk
+};
 
 /**
  * @ingroup uan
@@ -435,7 +440,8 @@
   protected:
     void DoDispose() override;
 
-}; // class UanPhyGen
+    // end of class UanPhyGen
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/uan/model/uan-phy.h ns-3.45/src/uan/model/uan-phy.h
--- ns-3.44/src/uan/model/uan-phy.h	2025-03-09 16:55:49.731372400 -0700
+++ ns-3.45/src/uan/model/uan-phy.h	2025-06-01 20:34:45.597702300 -0700
@@ -85,7 +85,8 @@
   protected:
     void DoDispose() override;
 
-}; // class UanPhyCalcSinr
+    // end of class UanPhyCalcSinr
+};
 
 /**
  * @ingroup uan
@@ -120,7 +121,8 @@
   protected:
     void DoDispose() override;
 
-}; // class UanPhyPer
+    // end of class UanPhyPer
+};
 
 /**
  * @ingroup uan
@@ -156,7 +158,9 @@
     virtual void NotifyTxStart(Time duration) = 0;
     /** Function called when Phy object finishes transmitting packet */
     virtual void NotifyTxEnd() = 0;
-}; // class UanPhyListener
+
+    // end of class UanPhyListener
+};
 
 /**
  * @ingroup uan
@@ -540,7 +544,8 @@
      */
     ns3::TracedCallback<Ptr<const Packet>> m_phyRxDropTrace;
 
-}; // class UanPhy
+    // end of class UanPhy
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/uan/model/uan-prop-model.h ns-3.45/src/uan/model/uan-prop-model.h
--- ns-3.44/src/uan/model/uan-prop-model.h	2025-03-09 16:55:49.735372300 -0700
+++ ns-3.45/src/uan/model/uan-prop-model.h	2025-06-01 20:34:45.598702200 -0700
@@ -57,7 +57,8 @@
     std::complex<double> m_amplitude; //!< The amplitude.
     Time m_delay;                     //!< The time delay.
 
-}; // class Tap
+    // end of class Tap
+};
 
 /**
  * @ingroup uan
@@ -240,7 +241,8 @@
     std::vector<Tap> m_taps; //!< The vector of Taps.
     Time m_resolution;       //!< The time resolution.
 
-}; // class UanPdp
+    // end of class UanPdp
+};
 
 /**
  * @ingroup uan
@@ -311,7 +313,8 @@
 
     void DoDispose() override;
 
-}; // class UanPropModel
+    // end of class UanPropModel
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/uan/model/uan-prop-model-ideal.h ns-3.45/src/uan/model/uan-prop-model-ideal.h
--- ns-3.44/src/uan/model/uan-prop-model-ideal.h	2025-03-09 16:55:49.731372400 -0700
+++ ns-3.45/src/uan/model/uan-prop-model-ideal.h	2025-06-01 20:34:45.597702300 -0700
@@ -40,8 +40,7 @@
     double GetPathLossDb(Ptr<MobilityModel> a, Ptr<MobilityModel> b, UanTxMode mode) override;
     UanPdp GetPdp(Ptr<MobilityModel> a, Ptr<MobilityModel> b, UanTxMode mode) override;
     Time GetDelay(Ptr<MobilityModel> a, Ptr<MobilityModel> b, UanTxMode mode) override;
-
-}; // class UanPropModelIdeal
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/uan/model/uan-prop-model-thorp.h ns-3.45/src/uan/model/uan-prop-model-thorp.h
--- ns-3.44/src/uan/model/uan-prop-model-thorp.h	2025-03-09 16:55:49.735372300 -0700
+++ ns-3.45/src/uan/model/uan-prop-model-thorp.h	2025-06-01 20:34:45.597702300 -0700
@@ -55,8 +55,7 @@
     double GetAttenDbKm(double freqKhz);
 
     double m_SpreadCoef; //!< Spreading coefficient used in calculation of Thorp's approximation.
-
-}; // class UanPropModelThorp
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/uan/model/uan-transducer.h ns-3.45/src/uan/model/uan-transducer.h
--- ns-3.44/src/uan/model/uan-transducer.h	2025-03-09 16:55:49.755372500 -0700
+++ ns-3.45/src/uan/model/uan-transducer.h	2025-06-01 20:34:45.598702200 -0700
@@ -121,7 +121,8 @@
     UanPdp m_pdp;         //!< The propagation delay profile.
     Time m_arrTime;       //!< The arrival time.
 
-}; // class UanPacketArrival
+    // end of class UanPacketArrival
+};
 
 /**
  * @ingroup uan
@@ -251,7 +252,8 @@
      */
     virtual void Clear() = 0;
 
-}; // class UanTransducer
+    // end of class UanTransducer
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/uan/model/uan-transducer-hd.h ns-3.45/src/uan/model/uan-transducer-hd.h
--- ns-3.44/src/uan/model/uan-transducer-hd.h	2025-03-09 16:55:49.751372600 -0700
+++ ns-3.45/src/uan/model/uan-transducer-hd.h	2025-06-01 20:34:45.598702200 -0700
@@ -75,8 +75,7 @@
 
   protected:
     void DoDispose() override;
-
-}; // class UanTransducerHd
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/uan/model/uan-tx-mode.h ns-3.45/src/uan/model/uan-tx-mode.h
--- ns-3.44/src/uan/model/uan-tx-mode.h	2025-03-09 16:55:49.755372500 -0700
+++ ns-3.45/src/uan/model/uan-tx-mode.h	2025-06-01 20:34:45.598702200 -0700
@@ -95,13 +95,14 @@
     uint32_t GetUid() const;
 
   private:
+    uint32_t m_uid; //!< Mode id
+
     friend class UanTxModeFactory;
     friend std::ostream& operator<<(std::ostream& os, const UanTxMode& mode);
     friend std::istream& operator>>(std::istream& is, UanTxMode& mode);
 
-    uint32_t m_uid; //!< Mode id
-
-}; // class UanTxMode
+    // end of class UanTxMode
+};
 
 /**
  * Writes tx mode entry to stream os.
@@ -235,7 +236,8 @@
      */
     UanTxMode MakeModeFromItem(const UanTxModeItem& item);
 
-}; // class UanTxModeFactory
+    // end of class UanTxModeFactory
+};
 
 /**
  * @ingroup uan
@@ -281,7 +283,8 @@
     friend std::ostream& operator<<(std::ostream& os, const UanModesList& ml);
     friend std::istream& operator>>(std::istream& is, UanModesList& ml);
 
-}; // class UanModesList
+    // end of class UanModesList
+};
 
 /**
  * Write UanModesList to stream os
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/wifi/CMakeLists.txt ns-3.45/src/wifi/CMakeLists.txt
--- ns-3.44/src/wifi/CMakeLists.txt	2025-03-09 16:55:49.755372500 -0700
+++ ns-3.45/src/wifi/CMakeLists.txt	2025-06-01 20:34:45.600702000 -0700
@@ -44,6 +44,7 @@
     model/eht/tid-to-link-mapping-element.cc
     model/eht/eht-phy.cc
     model/eht/eht-ppdu.cc
+    model/eht/eht-ru.cc
     model/eht/emlsr-manager.cc
     model/eht/multi-link-element.cc
     model/error-rate-model.cc
@@ -136,6 +137,7 @@
     model/wifi-acknowledgment.cc
     model/wifi-assoc-manager.cc
     model/wifi-bandwidth-filter.cc
+    model/wifi-constants.cc
     model/wifi-default-ack-manager.cc
     model/wifi-default-assoc-manager.cc
     model/wifi-default-gcr-manager.cc
@@ -162,6 +164,7 @@
     model/wifi-radio-energy-model.cc
     model/wifi-remote-station-info.cc
     model/wifi-remote-station-manager.cc
+    model/wifi-ru.cc
     model/wifi-spectrum-phy-interface.cc
     model/wifi-spectrum-signal-parameters.cc
     model/wifi-standards.cc
@@ -214,6 +217,7 @@
     model/eht/tid-to-link-mapping-element.h
     model/eht/eht-phy.h
     model/eht/eht-ppdu.h
+    model/eht/eht-ru.h
     model/eht/emlsr-manager.h
     model/eht/multi-link-element.h
     model/error-rate-model.h
@@ -306,6 +310,7 @@
     model/wifi-acknowledgment.h
     model/wifi-assoc-manager.h
     model/wifi-bandwidth-filter.h
+    model/wifi-constants.h
     model/wifi-default-ack-manager.h
     model/wifi-default-assoc-manager.h
     model/wifi-default-gcr-manager.h
@@ -338,6 +343,7 @@
     model/wifi-radio-energy-model.h
     model/wifi-remote-station-info.h
     model/wifi-remote-station-manager.h
+    model/wifi-ru.h
     model/wifi-spectrum-phy-interface.h
     model/wifi-spectrum-signal-parameters.h
     model/wifi-standards.h
@@ -372,10 +378,14 @@
     test/spectrum-wifi-phy-test.cc
     test/tx-duration-test.cc
     test/wifi-aggregation-test.cc
+    test/wifi-channel-settings-test.cc
     test/wifi-co-trace-helper-test.cc
     test/wifi-dynamic-bw-op-test.cc
     test/wifi-eht-info-elems-test.cc
-    test/wifi-emlsr-test.cc
+    test/wifi-emlsr-basic-exchanges-test.cc
+    test/wifi-emlsr-enabling-test.cc
+    test/wifi-emlsr-link-switch-test.cc
+    test/wifi-emlsr-test-base.cc
     test/wifi-error-rate-models-test.cc
     test/wifi-fils-frame-test.cc
     test/wifi-gcr-test.cc
